Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfMirrorType

    java.lang.Object
      java.lang.Enum<OdfMirrorType>
          org.odftoolkit.odfdom.dom.type.style.OdfMirrorType

All Implemented Interfaces:
  Serializable, Comparable<OdfMirrorType>

    public enum OdfMirrorType

extends Enum<OdfMirrorType>

DOM implementation of OpenDocument attribute style:mirror.

Enum Constant Summary
`HORIZONTAL`
`HORIZONTAL_ON_EVEN`
`HORIZONTAL_ON_ODD`
`NONE`
`VERTICAL`

Method Summary
`static OdfMirrorType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfMirrorType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfMirrorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfMirrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final OdfMirrorType NONE

### HORIZONTAL_ON_EVEN

    public static final OdfMirrorType HORIZONTAL_ON_EVEN

### HORIZONTAL

    public static final OdfMirrorType HORIZONTAL

### HORIZONTAL_ON_ODD

    public static final OdfMirrorType HORIZONTAL_ON_ODD

### VERTICAL

    public static final OdfMirrorType VERTICAL

Method Detail

### values

    public static OdfMirrorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfMirrorType c : OdfMirrorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfMirrorType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfMirrorType>`
  Returns:
    return the name of OdfMirrorType

### toString

    public static String toString(OdfMirrorType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfMirrorType, see style:mirror
  Returns:
    return the name of OdfMirrorType

### enumValueOf

    public static OdfMirrorType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfMirrorType
  Returns:
    return the constant of OdfMirrorType, see style:mirror

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.